require('player')
require('world')
require('ui')

function love.load()
	gamestate = 'playing'
	opSys = love.system.getOS()

	W = love.graphics.getWidth()
	H = love.graphics.getHeight()

	obj = {}

	ui.load()
	world.load()
	player.load()
end

function love.update(dt)
	player.update(dt)
	world.update(dt)
	ui.update(dt)

	function love.keypressed(key)
		ui.keypressed(key)
	end

	function love.mousereleased(x, y, mb, istouch)
		player.mousereleased(x, y, mb, istouch)
	end
end

function love.draw()
	world.draw()
	ui.drawBackground()
	player.draw()
	ui.draw()
end
